> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/ja/sdk/june-2026/d1-sdk-v4.4.0.md).

# D1 SDK v4.4.0

{% tabs %}
{% tab title="Android" %}

### 対応プラットフォームとアーキテクチャ

* Android 8.1.0以降
* アーキテクチャ: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

### 新機能

#### クライアントバインディング

エンドユーザーのデバイス上の発行者アプリケーションとD1バックエンドの間に検証可能なリンクを確立するため、クライアントバインディングを追加します。

* 新しいAPIを追加: `D1Task.getBindingHash`.

#### 非同期API

Kotlinコルーチンベースの統合向けに新しいAPIを追加:

* 新しいクラスを追加: `PushProvisioningService` と `SecureCardDisplayService` .
* 非推奨にする `D1PushWallet.getCardDigitizationState`, `D1PushWallet.addDigitalCardToOEM`, `D1Task.getTokenRequestorList`、および `D1Task.addDigitalCardToScheme` の代わりに `PushProvisioningService`
* 非推奨にする `D1Task.getCardMetadata`, `D1Task.getCardDetails`、および `D1Task.displayCardDetails` の代わりに `SecureCardDisplayService`

#### プッシュプロビジョニング

last4付きのカードデジタル化状態を取得するための新しいAPIを追加 `PushProvisioningService.getCardDigitizationState(OEMPayType oemType, String last4).`

### 全般

#### 改善

* D1 SDKのセキュリティを強化。
* SDKバイナリからSamsung Pay SDKを除外します。Samsung Pay SDKは発行者アプリケーションに手動で統合してください。
  {% endtab %}

{% tab title="iOS" %}

### 対応プラットフォームとアーキテクチャ

* iOS 16以降
* アーキテクチャ: `arm64`, `x86_64`

### 新機能

#### クライアントバインディング

エンドユーザーのデバイス上の発行者アプリケーションとD1バックエンドの間に検証可能なリンクを確立するため、クライアントバインディングを追加します。

* 新しいAPIを追加: `D1Task.bindingHash` と `D1IssuerProvisioningExtensionAuthorizationProviding.bindingHash`

#### 非同期API

Swiftの並行処理ベースの統合向けに新しいAPIを導入します

* 新しいクラスを追加: `PushProvisioningService` と `SecureCardDisplayService` .
* 非推奨にする `D1Task.cardDigitizationState`, `D1Task.addDigitalCardToOEM`, `D1Task.tokenRequestorList`、および `D1Task.addDigitalCardToScheme` の代わりに `PushProvisioningService`
* 非推奨にする `D1Task.cardMetadata`, `D1Task.cardDetails`、および `D1Task.displayCardDetails` の代わりに `SecureCardDisplayService`

#### プッシュプロビジョニング

last4付きのカードデジタル化状態を取得するための新しいAPIを導入します `PushProvisioningService.cardDigitizationState(withLast4 last4: String)`

### 全般

#### 改善

* D1 SDKのセキュリティを強化。

#### 既知の問題

* 同じグループ内で複数のiOSアプリケーションがキーチェーン共有を有効にしている場合、正しく動作するのは1つのアプリケーションのみです。残りのアプリケーションでは、3DS機能またはMessaging Serviceを使用する際に問題が発生する場合があります。
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/ja/sdk/june-2026/d1-sdk-v4.4.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
